#include "..\Shared\SPMission.h"

class scion02 : public SPMission 
{
public:
	scion02(void)
	{
		b_count = &b_last - &b_first - 1;
		b_array = &b_first + 1;

		f_count = &f_last - &f_first - 1;
		f_array = &f_first + 1;

		h_count = &h_last - &h_first - 1;
		h_array = &h_first + 1;

		i_count = &i_last - &i_first - 1;
		i_array = &i_first + 1;
	}

	void Setup(void);
	void AddObject(Handle h);
	void Execute(void);

	// bools
	bool
		b_first,

		b_last;

	// floats
	float
		f_first,

		f_last;

	// handles
	Handle
		h_first,

		h_last;


	// integers
	int
		i_first,


		i_last;
};
DLLBase * BuildMission(void)
{
	return new scion02();
}

void scion02::Setup(void)
{
/*
	Here's where you set the values at the start.  
*/

//  bools


	
//  floats

	
	
//  handles



//  integers




}

void scion02::AddObject(Handle h)
{
}

void scion02::Execute(void)
{
/*
	Here is where you put what happens every frame.  
*/

	

}

